Uses of Class
io.vertx.mutiny.ext.web.client.HttpRequest

Packages that use HttpRequest
Package
Description
 
  • Uses of HttpRequest in io.vertx.mutiny.ext.web.client

    Fields in io.vertx.mutiny.ext.web.client with type parameters of type HttpRequest
    Modifier and Type
    Field
    Description
    static final TypeArg<HttpRequest>
    HttpRequest.__TYPE_ARG
     
    Modifier and Type
    Method
    Description
    HttpRequest.addQueryParam(String paramName, String paramValue)
    Add a query parameter to the request.
    <U> HttpRequest<U>
    HttpRequest.as(BodyCodec<U> responseCodec)
    Configure the request to decode the response with the responseCodec.
    HttpRequest.authentication(io.vertx.ext.auth.authentication.Credentials credentials)
    Configure the request to perform HTTP Authentication.
    HttpRequest.basicAuthentication(io.vertx.core.buffer.Buffer id, io.vertx.core.buffer.Buffer password)
    Configure the request to perform basic access authentication.
    HttpRequest.basicAuthentication(String id, String password)
    Configure the request to perform basic access authentication.
    HttpRequest.bearerTokenAuthentication(String bearerToken)
    Configure the request to perform bearer token authentication.
    HttpRequest.connectTimeout(long timeout)
    Sets the amount of time after which, if the request is not obtained from the client within the timeout period, the response is failed with a TimeoutException.
    HttpRequest.copy()
    Copy this request
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.delete(int port, String host, UriTemplate requestURI)
    Create an HTTP DELETE request to send to the server at the specified host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.delete(int port, String host, String requestURI)
    Create an HTTP DELETE request to send to the server at the specified host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.delete(UriTemplate requestURI)
    Create an HTTP DELETE request to send to the server at the default host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.delete(String requestURI)
    Create an HTTP DELETE request to send to the server at the default host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.delete(String host, UriTemplate requestURI)
    Create an HTTP DELETE request to send to the server at the specified host and default port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.delete(String host, String requestURI)
    Create an HTTP DELETE request to send to the server at the specified host and default port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.deleteAbs(UriTemplate absoluteURI)
    Create an HTTP DELETE request to send to the server using an absolute URI, specifying a response handler to receive the response
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.deleteAbs(String absoluteURI)
    Create an HTTP DELETE request to send to the server using an absolute URI, specifying a response handler to receive the response
    HttpRequest.followRedirects(boolean value)
    Set whether to follow request redirections
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.get(int port, String host, UriTemplate requestURI)
    Create an HTTP GET request to send to the server at the specified host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.get(int port, String host, String requestURI)
    Create an HTTP GET request to send to the server at the specified host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.get(UriTemplate requestURI)
    Create an HTTP GET request to send to the server at the default host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.get(String requestURI)
    Create an HTTP GET request to send to the server at the default host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.get(String host, UriTemplate requestURI)
    Create an HTTP GET request to send to the server at the specified host and default port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.get(String host, String requestURI)
    Create an HTTP GET request to send to the server at the specified host and default port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.getAbs(UriTemplate absoluteURI)
    Create an HTTP GET request to send to the server using an absolute URI, specifying a response handler to receive the response
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.getAbs(String absoluteURI)
    Create an HTTP GET request to send to the server using an absolute URI, specifying a response handler to receive the response
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.head(int port, String host, UriTemplate requestURI)
    Create an HTTP HEAD request to send to the server at the specified host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.head(int port, String host, String requestURI)
    Create an HTTP HEAD request to send to the server at the specified host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.head(UriTemplate requestURI)
    Create an HTTP HEAD request to send to the server at the default host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.head(String requestURI)
    Create an HTTP HEAD request to send to the server at the default host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.head(String host, UriTemplate requestURI)
    Create an HTTP HEAD request to send to the server at the specified host and default port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.head(String host, String requestURI)
    Create an HTTP HEAD request to send to the server at the specified host and default port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.headAbs(UriTemplate absoluteURI)
    Create an HTTP HEAD request to send to the server using an absolute URI, specifying a response handler to receive the response
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.headAbs(String absoluteURI)
    Create an HTTP HEAD request to send to the server using an absolute URI, specifying a response handler to receive the response
    HttpRequest.host(String value)
    Configure the request to use a new host value.
    HttpRequest.idleTimeout(long timeout)
    Sets the amount of time after which, if the request does not return any data within the timeout period, the request/response is closed and the related futures are failed with a TimeoutException.
    HttpRequest.method(io.vertx.core.http.HttpMethod value)
    Configure the request to use a new method value.
    HttpRequest.multipartMixed(boolean allow)
    Allow or disallow multipart mixed encoding when sending MultipartForm having files sharing the same file name.
    static <T> HttpRequest<T>
    HttpRequest.newInstance(io.vertx.ext.web.client.HttpRequest<T> delegate)
    Creates a new instance of the HttpRequest.
    static <T> HttpRequest<T>
    HttpRequest.newInstance(io.vertx.ext.web.client.HttpRequest<T> delegate, TypeArg<T> typeArg_0)
    Creates a new instance of the HttpRequest.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.patch(int port, String host, UriTemplate requestURI)
    Create an HTTP PATCH request to send to the server at the specified host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.patch(int port, String host, String requestURI)
    Create an HTTP PATCH request to send to the server at the specified host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.patch(UriTemplate requestURI)
    Create an HTTP PATCH request to send to the server at the default host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.patch(String requestURI)
    Create an HTTP PATCH request to send to the server at the default host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.patch(String host, UriTemplate requestURI)
    Create an HTTP PATCH request to send to the server at the specified host and default port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.patch(String host, String requestURI)
    Create an HTTP PATCH request to send to the server at the specified host and default port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.patchAbs(UriTemplate absoluteURI)
    Create an HTTP PATCH request to send to the server using an absolute URI, specifying a response handler to receive the response
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.patchAbs(String absoluteURI)
    Create an HTTP PATCH request to send to the server using an absolute URI, specifying a response handler to receive the response
    HttpRequest.port(int value)
    Configure the request to use a new port value.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.post(int port, String host, UriTemplate requestURI)
    Create an HTTP POST request to send to the server at the specified host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.post(int port, String host, String requestURI)
    Create an HTTP POST request to send to the server at the specified host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.post(UriTemplate requestURI)
    Create an HTTP POST request to send to the server at the default host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.post(String requestURI)
    Create an HTTP POST request to send to the server at the default host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.post(String host, UriTemplate requestURI)
    Create an HTTP POST request to send to the server at the specified host and default port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.post(String host, String requestURI)
    Create an HTTP POST request to send to the server at the specified host and default port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.postAbs(UriTemplate absoluteURI)
    Create an HTTP POST request to send to the server using an absolute URI, specifying a response handler to receive the response
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.postAbs(String absoluteURI)
    Create an HTTP POST request to send to the server using an absolute URI, specifying a response handler to receive the response
    HttpRequest.proxy(io.vertx.core.net.ProxyOptions proxyOptions)
    Configure the request to set a proxy for this request.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.put(int port, String host, UriTemplate requestURI)
    Create an HTTP PUT request to send to the server at the specified host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.put(int port, String host, String requestURI)
    Create an HTTP PUT request to send to the server at the specified host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.put(UriTemplate requestURI)
    Create an HTTP PUT request to send to the server at the default host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.put(String requestURI)
    Create an HTTP PUT request to send to the server at the default host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.put(String host, UriTemplate requestURI)
    Create an HTTP PUT request to send to the server at the specified host and default port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.put(String host, String requestURI)
    Create an HTTP PUT request to send to the server at the specified host and default port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.putAbs(UriTemplate absoluteURI)
    Create an HTTP PUT request to send to the server using an absolute URI, specifying a response handler to receive the response
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.putAbs(String absoluteURI)
    Create an HTTP PUT request to send to the server using an absolute URI, specifying a response handler to receive the response
    HttpRequest.putHeader(CharSequence name, CharSequence value)
    Configure the request to set a new HTTP header using CharSequence.
    HttpRequest.putHeader(CharSequence name, Iterable<CharSequence> values)
    Configure the request to set a new HTTP header with multiple values using CharSequence.
    HttpRequest.putHeader(String name, Iterable<String> value)
    Configure the request to set a new HTTP header with multiple values.
    HttpRequest.putHeader(String name, String value)
    Configure the request to set a new HTTP header.
    HttpRequest.putHeaders(io.vertx.core.MultiMap headers)
    Configure the request to add multiple HTTP headers .
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.request(io.vertx.core.http.HttpMethod method, int port, String host, UriTemplate requestURI)
    Create an HTTP request to send to the server at the specified host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.request(io.vertx.core.http.HttpMethod method, int port, String host, String requestURI)
    Create an HTTP request to send to the server at the specified host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.request(io.vertx.core.http.HttpMethod method, io.vertx.core.http.RequestOptions options)
    Deprecated.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.request(io.vertx.core.http.HttpMethod method, io.vertx.core.net.SocketAddress serverAddress, int port, String host, UriTemplate requestURI)
    Like WebClient.request(HttpMethod, int, String, UriTemplate) using the serverAddress parameter to connect to the server instead of the port and host parameters.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.request(io.vertx.core.http.HttpMethod method, io.vertx.core.net.SocketAddress serverAddress, int port, String host, String requestURI)
    Like WebClient.request(HttpMethod, int, String, String) using the serverAddress parameter to connect to the server instead of the port and host parameters.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.request(io.vertx.core.http.HttpMethod method, io.vertx.core.net.SocketAddress serverAddress, io.vertx.core.http.RequestOptions options)
    Deprecated.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.request(io.vertx.core.http.HttpMethod method, io.vertx.core.net.SocketAddress serverAddress, UriTemplate requestURI)
    Like WebClient.request(HttpMethod, UriTemplate) using the serverAddress parameter to connect to the server instead of the default port and default host.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.request(io.vertx.core.http.HttpMethod method, io.vertx.core.net.SocketAddress serverAddress, String requestURI)
    Like WebClient.request(HttpMethod, String) using the serverAddress parameter to connect to the server instead of the default port and default host.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.request(io.vertx.core.http.HttpMethod method, io.vertx.core.net.SocketAddress serverAddress, String host, UriTemplate requestURI)
    Like WebClient.request(HttpMethod, String, UriTemplate) using the serverAddress parameter to connect to the server instead of the default port and host parameter.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.request(io.vertx.core.http.HttpMethod method, io.vertx.core.net.SocketAddress serverAddress, String host, String requestURI)
    Like WebClient.request(HttpMethod, String, String) using the serverAddress parameter to connect to the server instead of the default port and host parameter.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.request(io.vertx.core.http.HttpMethod method, UriTemplate requestURI)
    Create an HTTP request to send to the server at the default host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.request(io.vertx.core.http.HttpMethod method, String requestURI)
    Create an HTTP request to send to the server at the default host and port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.request(io.vertx.core.http.HttpMethod method, String host, UriTemplate requestURI)
    Create an HTTP request to send to the server at the specified host and default port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.request(io.vertx.core.http.HttpMethod method, String host, String requestURI)
    Create an HTTP request to send to the server at the specified host and default port.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.request(io.vertx.core.http.RequestOptions options)
    Create an HTTP request to send to the server from the specified request options.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.requestAbs(io.vertx.core.http.HttpMethod method, io.vertx.core.net.SocketAddress serverAddress, UriTemplate absoluteURI)
    Like WebClient.requestAbs(HttpMethod, UriTemplate) using the serverAddress parameter to connect to the server instead of the absoluteURI parameter.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.requestAbs(io.vertx.core.http.HttpMethod method, io.vertx.core.net.SocketAddress serverAddress, String absoluteURI)
    Like WebClient.requestAbs(HttpMethod, String) using the serverAddress parameter to connect to the server instead of the absoluteURI parameter.
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.requestAbs(io.vertx.core.http.HttpMethod method, UriTemplate absoluteURI)
    Create an HTTP request to send to the server using an absolute URI
    HttpRequest<io.vertx.core.buffer.Buffer>
    WebClient.requestAbs(io.vertx.core.http.HttpMethod method, String absoluteURI)
    Create an HTTP request to send to the server using an absolute URI
    HttpRequest.routingKey(String key)
    Set the routing key, the routing key can be used by a Vert.x client side sticky load balancer to pin the request to a remote HTTP server.
    HttpRequest.sendAndForget()
    Send a request, the handler will receive the response as an HttpResponse.
    HttpRequest.sendBufferAndForget(io.vertx.core.buffer.Buffer body)
    Like send() but with an HTTP request body buffer.
    HttpRequest.sendFormAndForget(io.vertx.core.MultiMap body)
    Like send() but with an HTTP request body multimap encoded as form and the content type set to application/x-www-form-urlencoded.
    HttpRequest.sendFormAndForget(io.vertx.core.MultiMap body, String charset)
    Like send() but with an HTTP request body multimap encoded as form and the content type set to application/x-www-form-urlencoded.
    HttpRequest.sendJsonAndForget(Object body)
    Like send() but with an HTTP request body object encoded as json and the content type set to application/json.
    HttpRequest.sendJsonObjectAndForget(io.vertx.core.json.JsonObject body)
    Like send() but with an HTTP request body object encoded as json and the content type set to application/json.
    Like send() but with an HTTP request body multimap encoded as form and the content type set to multipart/form-data.
    HttpRequest.sendStreamAndForget(ReadStream<io.vertx.core.buffer.Buffer> body)
    Like send() but with an HTTP request body stream.
    HttpRequest.sendStreamAndForget(Flow.Publisher<io.vertx.core.buffer.Buffer> body)
    Like send() but with an HTTP request body stream.
    HttpRequest.setQueryParam(String paramName, String paramValue)
    Set a query parameter to the request.
    HttpRequest.setTemplateParam(String paramName, String paramValue)
    Set a request URI template string parameter to the request, expanded when the request URI is a UriTemplate.
    HttpRequest.setTemplateParam(String paramName, List<String> paramValue)
    Set a request URI template list parameter to the request, expanded when the request URI is a UriTemplate.
    HttpRequest.setTemplateParam(String paramName, Map<String,String> paramValue)
    Set a request URI template map parameter to the request, expanded when the request URI is a UriTemplate.
    HttpRequest.ssl(Boolean value)
    Configure the request whether to use SSL.
    HttpRequest.timeout(long value)
    Configures the amount of time in milliseconds after which if the request does not return any data within the timeout period an TimeoutException fails the request.
    HttpRequest.traceOperation(String traceOperation)
    Trace operation name override.
    HttpRequest.uri(String value)
    Configure the request to use a new request URI value.
    HttpRequest.virtualHost(String value)
    Configure the request to use a virtual host value.